FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202005180840 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202005180840 
ENV __doozer=merge OS_GIT_COMMIT=2385690 OS_GIT_VERSION=4.4.0-202005180840-2385690 SOURCE_DATE_EPOCH=1582907666 SOURCE_GIT_COMMIT=23856901003b95b559087b8e83bffdee82872b2b SOURCE_GIT_TAG=2385690 SOURCE_GIT_URL=https://github.com/openshift/cluster-version-operator 
WORKDIR /go/src/github.com/openshift/cluster-version-operator
COPY . .
RUN hack/build-go.sh; \
    mkdir -p /tmp/build; \
    cp _output/linux/$(go env GOARCH)/cluster-version-operator /tmp/build/cluster-version-operator

FROM openshift/ose-base:v4.4.0.20200518.084100
ENV __doozer=update BUILD_RELEASE=202005180840 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202005180840 
ENV __doozer=merge OS_GIT_COMMIT=2385690 OS_GIT_VERSION=4.4.0-202005180840-2385690 SOURCE_DATE_EPOCH=1582907666 SOURCE_GIT_COMMIT=23856901003b95b559087b8e83bffdee82872b2b SOURCE_GIT_TAG=2385690 SOURCE_GIT_URL=https://github.com/openshift/cluster-version-operator 
COPY --from=builder /tmp/build/cluster-version-operator /usr/bin/
COPY install /manifests
COPY vendor/github.com/openshift/api/config/v1/0000_00_cluster-version-operator_01_clusterversion.crd.yaml /manifests/
COPY vendor/github.com/openshift/api/config/v1/0000_00_cluster-version-operator_01_clusteroperator.crd.yaml /manifests/
COPY bootstrap /bootstrap
ENTRYPOINT ["/usr/bin/cluster-version-operator"]

LABEL \
        name="openshift/ose-cluster-version-operator" \
        com.redhat.component="cluster-version-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Cluster Version Operator" \
        version="v4.4.0" \
        release="202005180840" \
        io.openshift.build.commit.id="23856901003b95b559087b8e83bffdee82872b2b" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-version-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-version-operator/commit/23856901003b95b559087b8e83bffdee82872b2b"

